%define major 15
%define libname %mklibname net-snmp %{major}
%define develname %mklibname -d net-snmp
%define staticdevelname %mklibname -d -s net-snmp

# (oe) never enable rpm support as it eats file descriptors like crazy 
# casuing the snmp daemon to die!.
%define build_rpm	0
%{?_without_rpm:	%global build_rpm 0}
%{?_with_rpm:		%global build_rpm 1}

Summary:	A collection of SNMP protocol tools and libraries
Name: 		net-snmp
Version: 	5.4.1
Release: 	%mkrel 1
License:	BSDish
Group:		System/Servers
URL:		http://www.net-snmp.org/
Source0:	http://prdownloads.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz.asc
Source2:	net-snmpd.init
Source3:	snmpd.conf
Source4:	snmpd.logrotate
Source5:	net-snmptrapd.init
Source6:	snmptrapd.conf
Source7:	snmptrapd.logrotate
Source8:	ucd5820stat
Source9:	snmp.local.conf
Source11:	NOTIFICATION-TEST-MIB.txt
Source12:	TRAP-TEST-MIB.txt
Source13:	net-snmpd.sysconfig
Source14:	net-snmptrapd.sysconfig
Patch0:		net-snmp-5.1-nodb.patch
# OE: stolen from fedora
Patch21:	net-snmp-5.0.8-ipv6-sock-close.patch
Patch22:	net-snmp-5.0.8-readonly.patch
Patch24:	net-snmp-pie.diff
Patch25:	net-snmp-5.4-64bit.patch
Patch26:	net-snmp-5.1.2-dir-fix.patch
Patch27:	net-snmp-5.2.1-file_offset.patch
Patch28:	ucd-snmp-4.2.4.pre3-mnttab.patch
Patch30:	net-snmp-5.3-agent-registry-unregister-free.patch
# Extra MDK patches
Patch50:	net-snmp-64bit-fixes.diff
# (gb) remove built-in libtool 1.4 and use the system one instead, be
# on the safe side and don't touch to the rest
Patch52:	net-snmp-no_bundled_libtool.diff
Patch53:	net-snmp-no_perlinstall.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre): %{libname} = %{version}
Requires(postun): %{libname} = %{version}
Requires:	openssl
Requires:	net-snmp-mibs
Requires:	net-snmp-utils
Requires:	tcp_wrappers
BuildRequires:	autoconf2.5 >= 2.59
BuildRequires:	chrpath
%ifarch %{ix86} x86_64
BuildRequires:	lm_sensors-devel
%endif
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
%if %{build_rpm}
BuildRequires:	rpm-devel
%endif
BuildRequires:	tcp_wrappers-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SNMP (Simple Network Management Protocol) is a protocol used for network
management. The NET-SNMP project includes various SNMP tools: an extensible
agent, an SNMP library, tools for requesting or setting information from SNMP
agents, tools for generating and handling SNMP traps, a version of the netstat
command which uses SNMP, and a Tk/Perl mib browser. This package contains the
snmpd and snmptrapd daemons, documentation, etc.

You will probably also want to install the net-snmp-utils package, which
contains NET-SNMP utilities.

%package -n	%{libname}
Summary:	Libraries for Network management (SNMP), from the NET-SNMP project
Group:		System/Libraries
Provides:	%{mklibname net-snmp 9} %{mklibname net-snmp 5} %{mklibname net-snmp 50} %{mklibname net-snmp 51} %{mklibname snmp 0}
Obsoletes:	%{mklibname net-snmp 9} %{mklibname net-snmp 5} %{mklibname net-snmp 50} %{mklibname net-snmp 51} %{mklibname snmp 0}
Obsoletes:	ucd-snmp
Requires:	openssl

%description -n	%{libname}
The %{libname} package contains the libraries for use with the NET-SNMP
project's network management tools.

%package -n	%{develname}
Summary:	The development environment for the NET-SNMP project
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libnet-snmp-devel
Provides:	%{mklibname net-snmp 9}-devel %{mklibname net-snmp 5}-devel %{mklibname net-snmp 50}-devel %{mklibname net-snmp 51}-devel %{mklibname snmp 0}-devel %{mklibname net-snmp 10}-devel = %{version}-%{release}
Obsoletes:	%{mklibname net-snmp 9}-devel %{mklibname net-snmp 5}-devel %{mklibname net-snmp 50}-devel %{mklibname net-snmp 51}-devel %{mklibname snmp 0}-devel %{mklibname net-snmp 10}-devel 
Requires:	%{libname} = %{version}
Requires:	tcp_wrappers-devel
%ifarch %{ix86} x86_64
Requires:	lm_sensors-devel
%endif
Obsoletes:	ucd-snmp-devel

%description -n	%{develname}
The %{develname} package contains the development libraries and header
files for use with the NET-SNMP project's network management tools.

Install the net-snmp-devel package if you would like to develop applications
for use with the NET-SNMP project's network management tools.

%package -n	%{staticdevelname}
Summary:	The static development libraries for the NET-SNMP project
Group:		Development/C
Provides:	%{name}-static-devel
Provides:	%{mklibname net-snmp 9}-static-devel %{mklibname net-snmp 5}-static-devel %{mklibname net-snmp 50}-static-devel %{mklibname net-snmp 51}-static-devel %{mklibname snmp 0}-static-devel %{mklibname net-snmp 10}-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname net-snmp 9}-static-devel %{mklibname net-snmp 5}-static-devel %{mklibname net-snmp 50}-static-devel %{mklibname net-snmp 51}-static-devel %{mklibname snmp 0}-static-devel %{mklibname net-snmp 10}-static-devel
Requires:	%{develname} = %{version}
Requires:	%{libname} = %{version}

%description -n	%{staticdevelname}
The %{staticdevelname} package contains the static development
libraries and header files for use with the NET-SNMP project's network
management tools.

Install the net-snmp-static-devel package if you would like to develop
applications for use with the NET-SNMP project's network management tools.

%package	utils
Summary:	Network management utilities using SNMP, from the NET-SNMP project
Group:		Networking/Other
Requires:	%{libname} = %{version}
Requires:	openssl
Requires:	net-snmp-mibs
Obsoletes:	ucd-snmp-util ucd-snmp-utils

%description	utils
The net-snmp package contains various utilities for use with the NET-SNMP
network management project.

Install this package if you need utilities for managing your network using the
SNMP protocol.

%package	mibs
Summary:	MIBs for the NET-SNMP project
Group:		Networking/Other

%description	mibs
The net-snmp-mibs package contains various MIBs for use with the NET-SNMP
network management project.

%package	trapd
Summary:	The trap collecting daemon for %{name}
Group:		System/Servers
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Requires:	openssl
Requires:	net-snmp-mibs
Requires:	net-snmp-utils
Requires:	tcp_wrappers

%description	trapd
The net-snmp-trapd package contains the trap collecting daemon for use with the
NET-SNMP network management project.

Install this package if you need to collect SNMP traps from your network using
the SNMP protocol.

%package -n	perl-NetSNMP
Summary:	Perl utilities using SNMP, from the NET-SNMP project
Group: 		Development/Perl
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Requires:	net-snmp-mibs
Requires:	net-snmp-utils

%description -n	perl-NetSNMP
NET SNMP (Simple Network Management Protocol) Perl5 Support The Simple Network
Management Protocol (SNMP) provides a framework for the exchange of management
information between agents (servers) and clients.  The NET SNMP perl5 support
files provide the perl functions for integration of SNMP into applications,
written in perl.

%prep

%setup -q
%patch0 -p0 -b .nodb

# OE: added from fedora
%patch21 -p1 -b .ipv6-sock-close
%patch22 -p1 -b .readonly
%ifnarch ia64
%patch24 -p1 -b .pie
%endif
%patch25 -p1 -b .64bit
%patch26 -p1 -b .dir-fix
%patch27 -p1 -b .file_offset
%patch28 -p1 -b .mnttab

# Extra MDK patches
%patch50 -p1 -b .64bit-fixes
%patch52 -p0 -b .libtool
%patch53 -p0 -b .no_perlinstall
cat %{_datadir}/aclocal/libtool.m4 >> aclocal.m4

# run tests in dir that is cleaned
install -d -m777 test_tmp_dir
HERE="$RPM_BUILD_DIR/%{name}-%{version}"
perl -pi -e "s|/tmp/snmp-test|$HERE/test_tmp_dir/snmp-test|g" testing/*

# Do this patch with a perl hack...
perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

bzip2 ChangeLog

# regenerate configure script
libtoolize --copy --force
autoconf

%build
%serverbuild

%if %mdkversion >= 200710
export CFLAGS="$CFLAGS -fPIC"
export CXXFLAGS="$CXXFLAGS -fPIC"
export FFLAGS="$FFLAGS -fPIC"
%endif

%ifarch ia64 x86_64 s390x ppc64
export LDFLAGS="-L%{_libdir}"
%endif

%configure2_5x \
%if %{build_rpm}
    --with-rpm \
%else
    --without-rpm \
%endif
    --enable-static \
    --enable-shared \
    --with-perl-modules="INSTALLDIRS=vendor" \
    --with-cflags="$CFLAGS -D_REENTRANT" \
    --with-sys-location="Unknown" \
    --with-logfile="/var/log/snmpd.log" \
    --with-persistent-directory="/var/lib/net-snmp" \
%ifarch %{ix86} x86_64
    --with-mib-modules="host agentx smux ucd-snmp/lmSensors ucd-snmp/diskio disman/event-mib" \
%else
    --with-mib-modules="host agentx smux disman/event-mib" \
%endif
    --with-libwrap \
    --sysconfdir=%{_sysconfdir} \
    --enable-ipv6 \
    --enable-ucd-snmp-compatibility \
    --with-sys-contact="root@localhost" <<EOF


EOF

# maybe later:
#    --with-default-snmp-version="3" \
# ?

# XXX autojunk
sed -i -e "s,^#define HAVE_GETMNTENT,#define HAVE_GETMNTENT 1," include/net-snmp/net-snmp-config.h

make

# more verbose tests
perl -pi -e "s|\./RUNTESTS|\./RUNTESTS -V|g" testing/Makefile
# XXX - andreas - 15/aug/2006
# XXX - disabled because doesn't work on cluster
# and available bandwidth is TOO LOW for interactive debugging from
# 10.000km away
#make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall \
    includedir=%{buildroot}%{_includedir}/net-snmp \
    ucdincludedir=%{buildroot}%{_includedir}/net-snmp/ucd-snmp

# the perl code needs special treatment
%makeinstall_std -C perl

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/snmp
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}/var/lib/net-snmp
install -d %{buildroot}/var/agentx/master

install -m 0755 %{SOURCE2} %{buildroot}%{_initrddir}/snmpd
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/snmp/snmpd.conf
install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/snmpd
install -m 0755 %{SOURCE5} %{buildroot}%{_initrddir}/snmptrapd
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/snmp/snmptrapd.conf
install -m 0644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/snmptrapd
install -m 0755 %{SOURCE8} %{buildroot}%{_bindir}/ucd5820stat
install -m 0644 %{SOURCE9} %{buildroot}%{_sysconfdir}/snmp/snmp.local.conf

rm -f %{buildroot}%{_bindir}/snmpinform
rm -f %{buildroot}%{_bindir}/snmpcheck
rm -f %{buildroot}%{_bindir}/tkmib
ln -s snmptrap %{buildroot}%{_bindir}/snmpinform

# install some extra stuff...
install -m644 mibs/DISMAN-EVENT-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/LM-SENSORS-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/MTA-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/NET-SNMP-MONITOR-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/NET-SNMP-SYSTEM-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/NET-SNMP-TC.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/NETWORK-SERVICES-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/TUNNEL-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/UCD-IPFILTER-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/UCD-SNMP-MIB-OLD.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/ianalist %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/rfclist %{buildroot}%{_datadir}/snmp/mibs/
install -m644 mibs/rfcmibs.diff %{buildroot}%{_datadir}/snmp/mibs/
install -m755 mibs/mibfetch %{buildroot}%{_datadir}/snmp/mibs/
install -m755 mibs/smistrip %{buildroot}%{_datadir}/snmp/mibs/
install -m755 mibs/Makefile.mib %{buildroot}%{_datadir}/snmp/mibs/
install -m644 man/mib2c.1 %{buildroot}%{_mandir}/man1/mib2c.1
install -m 0644 %{SOURCE11} %{buildroot}%{_datadir}/snmp/mibs/NOTIFICATION-TEST-MIB.txt
install -m 0644 %{SOURCE12} %{buildroot}%{_datadir}/snmp/mibs/TRAP-TEST-MIB.txt
install -m 0644 %{SOURCE13} %{buildroot}%{_sysconfdir}/sysconfig/snmpd
install -m 0644 %{SOURCE14} %{buildroot}%{_sysconfdir}/sysconfig/snmptrapd

# fix strange permissions
find %{buildroot}%{_datadir}/snmp/ -type f | xargs chmod 644

# fix one bug
perl -pi -e "s|%{buildroot}||g" %{buildroot}%{_libdir}/*.la

# nuke rpath
find %{buildroot}%{perl_vendorarch} -name "*.so" | xargs chrpath -d || :

# strip these manually because otherwise they won't get stripped for some reason...
file %{buildroot}%{_bindir}/* | grep ELF | cut -d':' -f1 | xargs strip || :
file %{buildroot}%{_sbindir}/* | grep ELF | cut -d':' -f1 | xargs strip || :

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/net-snmp-config
%multiarch_includes %{buildroot}%{_includedir}/net-snmp/net-snmp-config.h
%endif

%post
%_post_service snmpd

%preun
%_preun_service snmpd

%post trapd
%_post_service snmptrapd

%preun trapd
%_preun_service snmptrapd

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AGENT.txt EXAMPLE.conf FAQ INSTALL NEWS TODO
%doc README README.agent* README.krb5 README.snmpv3 README.thread
%doc local/passtest local/README.mib2c local/ipf-mod.pl
%attr(0755,root,root) %{_initrddir}/snmpd
%attr(0644,root,root) %config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf
%attr(0644,root,root) %config(noreplace,missingok) %{_sysconfdir}/snmp/snmp.local.conf
%attr(0644,root,root) %config(noreplace,missingok) %{_sysconfdir}/sysconfig/snmpd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%{_bindir}/ucd5820stat
%{_sbindir}/snmpd
%attr(0644,root,root) %{_mandir}/man5/snmpd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/snmp_config.5*
%attr(0644,root,root) %{_mandir}/man5/snmp.conf.5*
%attr(0644,root,root) %{_mandir}/man5/variables.5*
%attr(0644,root,root) %{_mandir}/man5/snmpd.examples.5*
%attr(0644,root,root) %{_mandir}/man5/snmpd.internal.5*
%attr(0644,root,root) %{_mandir}/man8/snmpd.8*

%files trapd
%defattr(-,root,root,-)
%attr(0755,root,root) %{_initrddir}/snmptrapd
%attr(0644,root,root) %config(noreplace,missingok) %{_sysconfdir}/snmp/snmptrapd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/snmptrapd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/snmptrapd
%{_sbindir}/snmptrapd
%attr(0644,root,root) %{_mandir}/man5/snmptrapd.conf.5*
%attr(0644,root,root) %{_mandir}/man8/snmptrapd.8*

%files utils
%defattr(-,root,root,-)
%{_bindir}/encode_keychange
%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/mib2c
%{_bindir}/mib2c-update
%{_bindir}/snmpbulkget
%{_bindir}/snmpbulkwalk
%{_bindir}/snmpconf
%{_bindir}/snmpdelta
%{_bindir}/snmpdf
%{_bindir}/snmpget
%{_bindir}/snmpgetnext
%{_bindir}/snmpinform
%{_bindir}/snmpnetstat
%{_bindir}/snmpset
%{_bindir}/snmpstatus
%{_bindir}/snmptable
%{_bindir}/snmptest
%{_bindir}/snmptranslate
%{_bindir}/snmptrap
%{_bindir}/snmpusm
%{_bindir}/snmpvacm
%{_bindir}/snmpwalk
%{_bindir}/traptoemail
%{_datadir}/snmp/snmpconf-data
%{_datadir}/snmp/mib2c-data
%{_datadir}/snmp/snmp_perl_trapd.pl
%{_datadir}/snmp/snmp_perl.pl
%{_datadir}/snmp/*.conf
%attr(0644,root,root) %{_mandir}/man1/encode_keychange.1*
%attr(0644,root,root) %{_mandir}/man1/fixproc.1*
%attr(0644,root,root) %{_mandir}/man1/mib2c-update.1*
%attr(0644,root,root) %{_mandir}/man1/mib2c.1*
%attr(0644,root,root) %{_mandir}/man1/snmpbulkget.1*
%attr(0644,root,root) %{_mandir}/man1/snmpbulkwalk.1*
%attr(0644,root,root) %{_mandir}/man1/snmpcmd.1*
%attr(0644,root,root) %{_mandir}/man1/snmpconf.1*
%attr(0644,root,root) %{_mandir}/man1/snmpdelta.1*
%attr(0644,root,root) %{_mandir}/man1/snmpdf.1*
%attr(0644,root,root) %{_mandir}/man1/snmpget.1*
%attr(0644,root,root) %{_mandir}/man1/snmpgetnext.1*
%attr(0644,root,root) %{_mandir}/man1/snmpinform.1*
%attr(0644,root,root) %{_mandir}/man1/snmpnetstat.1*
%attr(0644,root,root) %{_mandir}/man1/snmpset.1*
%attr(0644,root,root) %{_mandir}/man1/snmpstatus.1*
%attr(0644,root,root) %{_mandir}/man1/snmptable.1*
%attr(0644,root,root) %{_mandir}/man1/snmptest.1*
%attr(0644,root,root) %{_mandir}/man1/snmptranslate.1*
%attr(0644,root,root) %{_mandir}/man1/snmptrap.1*
%attr(0644,root,root) %{_mandir}/man1/snmpusm.1*
%attr(0644,root,root) %{_mandir}/man1/snmpvacm.1*
%attr(0644,root,root) %{_mandir}/man1/snmpwalk.1*
%attr(0644,root,root) %{_mandir}/man1/tkmib.1*
%attr(0644,root,root) %{_mandir}/man1/traptoemail.1*
%attr(0644,root,root) %{_mandir}/man5/mib2c.conf.5*

%files mibs
%defattr(-,root,root,-)
%doc mibs/README.mibs
%{_datadir}/snmp/mibs

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files -n %{develname}
%defattr(0644,root,root,755)
%defattr(-,root,root,-)
%doc ChangeLog.bz2
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/net-snmp-config
%multiarch %{multiarch_includedir}/net-snmp/net-snmp-config.h
%endif
%{_bindir}/net-snmp-config
%{_libdir}/*.so
%{_libdir}/*.la
#%{_includedir}/ucd-snmp
%{_includedir}/net-snmp
%{_includedir}/net-snmp/net-snmp-config.h
%{_mandir}/man3/*
%dir /var/lib/net-snmp
%dir /var/agentx/master
%attr(0644,root,root) %{_mandir}/man1/net-snmp-config.1*

%files -n %{staticdevelname}
%defattr(0644,root,root,755)
%defattr(-,root,root,-)
%{_libdir}/*.a

%files -n perl-NetSNMP
%defattr(0644,root,root,755)
%{perl_vendorarch}/auto/NetSNMP
%{perl_vendorarch}/auto/SNMP
%{perl_vendorarch}/SNMP.pm
%{perl_vendorarch}/NetSNMP
%{perl_vendorarch}/Bundle/Makefile.subs.pl
%{_mandir}/man3/NetSNMP*
%{_mandir}/man3/SNMP.3*


%changelog
* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 5.4.1-1mdv2008.0
+ Revision: 60181
- fix rpmlint upload blockers
- 5.4.1
- dropped upstream/obsolete patches; P20,P23,P29,P30,P31,P32,P51
- rediffed patches; P24,P50,P52,P53
- added new P25 from fedora
- obey 2008 specs

* Thu Jun 28 2007 Andreas Hasenack <andreas@mandriva.com> 5.3.1-7mdv2008.0
+ Revision: 45526
- rely on new serverbuild macro to set -fstack-protector* flags

* Fri Jun 08 2007 Oden Eriksson <oeriksson@mandriva.com> 5.3.1-6mdv2008.0
+ Revision: 37287
- really use the cflags
- update libtool since that was removed in the latest %%configure2_5x macro
- fix build, again
- it suddenly wants -fPIC on x86_64, so be it
- fix build
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 5.3.1-5mdv2008.0
+ Revision: 33597
- make it provide two forgotten directories

* Tue May 29 2007 Andreas Hasenack <andreas@mandriva.com> 5.3.1-4mdv2008.0
+ Revision: 32533
- fix build


* Mon Jan 29 2007 Olivier Blin <oblin@mandriva.com> 5.3.1-3mdv2007.0
+ Revision: 115115
- bzip2 huge ChangeLog and move it in devel package
- remove README files for other operating systems

* Wed Aug 16 2006 Andreas Hasenack <andreas@mandriva.com> 5.3.1-2mdv2007.0
+ Revision: 56245
- disable make test, doesn't work on cluster but works here and latency
  is too high for proper debugging
- get rid of bzcat
- added support for parallel initscripts (closes #24223)
- bunzip files now that we are stored in svn
- Import net-snmp

* Fri Aug 11 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.1-1mdv2007.0
- 5.3.1 (Major bugfixes)
- new P25
- rediffed P50 (one hunk didn't apply but seemed ok)

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.0.1-8mdv2007.0
- fix #20742

* Sat May 13 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.0.1-7mdk
- enable DISMAN-EVENT-MIB (Zeck)

* Fri Apr 07 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.0.1-6mdk
- deactivate the lm_sensors mibs per default (S13) (#19388)

* Wed Mar 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.0.1-5mdk
- disable rpm support because it eats file descriptors like crazy and 
  makes the snmp daemon easy to kill
- drop the apache hooks as it is poorly written and unmaintained

* Wed Mar 08 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.0.1-4mdk
- fix deps

* Sun Feb 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.0.1-3mdk
- fix crash on s390x and ppc64 (from fedora 5.3-4)

* Wed Feb 01 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.0.1-2mdk
- added P29,P30,P31 from fedora (5.3-3)

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3.0.1-1mdk
- 5.3.0.1 (security fix)

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3-2mdk
- drop selinux support

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 5.3-1mdk
- 5.3
- drop obsolete/upstream patches (P29-P32)

* Sat Dec 31 2005 Stefan van der Eijk <stefan@eijk.nu> 5.2.2-3mdk
- re-enable rpm support

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 5.2.2-2mdk
- bump major to 9 (!)
- fix deps

* Tue Dec 20 2005 Oden Eriksson <oeriksson@mandriva.com> 5.2.2-1mdk
- 5.2.2
- drop obsolete/upstream patches, reorder patches
- sync with fedora (5.2.2-4.1)
- rediffed P50
- added a work around for #20256 (S13)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 5.2.1.2-6mdk
- rebuilt against openssl-0.9.8a

* Wed Oct 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.2.1.2-5mdk
- rebuilt against new shared tcp_wrappers lib (libwrap)
- fix deps
- fix #16460

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 5.2.1.2-4mdk
- fix typo in summary

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 5.2.1.2-3mdk
- mod_ap2_snmp_1.03 (Minor bugfixes)
- fix deps

* Fri Aug 19 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.2.1.2-2mdk
- add back some of previous 64-bit fixes
- libtool fixes for the testsuite to work with just-built libraries

* Sat Aug 13 2005 Olivier Blin <oblin@mandriva.com> 5.2.1.2-1mdk
- 5.2.1.2

* Thu Jul 21 2005 Olivier Blin <oblin@mandriva.com> 5.2.1-6mdk
- conflict with libsnmp-devel (#16460)

* Fri Jun 10 2005 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-5mdk
- added P52 to fix a mem leak (Loic Vaillant)
- added two mibs on request by Loic Vaillant
- use the %%mkrel macro
- reactivate the make test test suite

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.2.1-4mdk
- sync with fedora (5.2.1-13)
- rediffed our 64bit fixes patch (now P50)
- use new rpm-4.4.x pre,post magic
- nuke rpath, spec file hack + P51
- rpmlint fixes

* Fri Mar 11 2005 Luca Berra <bluca@vodka.it> 5.2.1-3mdk 
- devel pacjage requires lm_sensors-devel when building with lm_sensors support

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.2.1-2mdk
- mod_ap2_snmp_1.02
- drop P28, it's implemented upstream

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.2.1-1mdk
- 5.2.1
- added P27 (fedora)

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.2-3mdk
- fix deps and conditional %%multiarch

* Sat Jan 15 2005 Luca Berra <bluca@vodka.it> 5.2-2mdk 
- rebuild to catch libwrap requiring libnsl

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.2-1mdk
- 5.2
- sync with fedora
- drop P4,P6,P22,P27,P31, redundant/merged upstream
- rpmlint fixes

* Tue Nov 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.1.2-7mdk
- rebuilt for unthreaded perl

* Tue Oct 05 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.1.2-6mdk
- 64-bit fixes + little endian fix for AgentX (SF #996462)

* Fri Aug 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.1.2-5mdk
- fix a problem with showing numerical OID's (S9), reported by "tbsky"

* Fri Aug 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.1.2-4mdk
- perl-Net-SNMP does not obsolete the older perl-Net-SNMP that 
  provides perl(Net::SNMP), these are unrelated(!) rename _this_ 
  perl package to perl-NetSNMP.

* Fri Aug 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.1.2-3mdk
- added the perl-Net-SNMP sub package

* Tue Aug 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.1.2-2mdk
- added P28 to make S10 compile

* Sun Aug 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.1.2-1mdk
- 5.1.2
- added S10, but it won't compile just yet...
- drop P1 & P5, it's included

* Mon Jun 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.1.1-1mdk
- 5.1.1
- stole P20 - P27 from fedora
- fixed the initscripts
- use the %%configure2_5x macro
- remove deprecated stuff from S6
- run tests in dir that is cleaned
- misc spec file fixes

* Wed Mar 17 2004 Florin <florin@mandrakesoft.com> 5.1-7mdk
- add the bsd-compat patch to fix the error:
"process `snmptrapd' is using obsolete setsockopt SO_BSDCOMPAT"

